lp:~spuul/ruby/ruby2.0

Created by Daniel Muller on 2014-05-09 and last modified on 2014-05-11
Get this branch:
bzr branch lp:~spuul/ruby/ruby2.0
Members of Spuul can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Spuul
Project:
Ruby
Status:
Development

Recent revisions

12. By Daniel Muller on 2014-05-11

Remove dependency to ruby and rubygems-integration

11. By Matthias Klose on 2014-03-19

Fix build failure with readline-6.3.

10. By Adam Conrad on 2014-02-14

* Merge from Debian unstable. Remaining changes:
  - Build-depend on Tcl/Tk 8.5, ruby is not yet ready for Tcl/Tk 8.6.

9. By Matthias Klose on 2014-01-04

Build-depend on tcl8.5-dev and tk8.5-dev, ruby is not yet ready
for Tcl/Tk 8.6.

8. By Matthias Klose on 2014-01-02

No-change rebuild for Tcl/Tk 8.6.

7. By Antonio Terceiro on 2013-11-25

* New upstream release
  + Includes fix for Heap Overflow in Floating Point Parsing (CVE-2013-4164)
    Closes: #730190

6. By Marc Deslauriers on 2013-11-25

* SECURITY UPDATE: denial of service and possible code execution via
  heap overflow in floating point parsing.
  - debian/patches/CVE-2013-4164.patch: check lengths in util.c, added
    test to test/ruby/test_float.rb.
  - CVE-2013-4164

5. By Antonio Terceiro on 2013-11-05

* New upstream version (snapshot from 2.0 maintainance branch).
* fix typo in ruby2.0-tcltk description
* Backported upstream patches from Tanaka Akira to fix FTBFS on:
  - GNU/kFreeBSD (Closes: #726095)
  - x32 (Closes: #727010)
* Make date for io-console gemspec predictable (Closes: #724974)
* libruby2.0 now depends on libjs-jquery because of rdoc (Closes: #725056)
* Backport upstream patch by Nobuyoshi Nakada to fix include directory in
  `pkg-config --cflags` (Closes: #725166)
* Document missing licenses in debian/copyright (Closes: #723161)
* debian/libruby2.0.symbols: add new symbol rb_exec_recursive_paired_outer
  (not in the public API though)

4. By Antonio Terceiro on 2013-09-15

Split Ruby/Tk out of libruby2.0 into its own package, ruby2.0-tcltk. This
will reduce the footprint of a basic Ruby installation.

3. By Antonio Terceiro on 2013-09-08

* New upstream release
  + Includes a fix for override of existing LDFLAGS when building compiled
    extensions that use pkg-config (Closes: #721799).
* debian/rules: forward-port to tcl/tk packages with multi-arch support.
  Thanks to Tristan Hill for reporting on build for Ubuntu saucy
* debian/control: ruby2.0 now provides ruby-interpreter
* Now using tarballs generated from the git mirror.
  + The released tarballs will modify shipped files on clean. Without this
    we can stop messing around with files that need to be recovered after a
    `debian/rules clean` to make them match the orig tarball and avoid
    spurious diffs.
  + This also lets us drop the diffs against generated files such as
    tool/config.* and configure.
  + documented in debian/README.source
* debian/libruby2.0.symbols: refreshed with 2 new symbols added since last
  version.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ruby
This branch contains Public information 
Everyone can see this information.

Subscribers